'use strict';

/* Filters */

angular.module('resultstoreFilters', []).filter('range', function() {
  return function(input, total) {
    total = parseInt(total);
    for (var i=0; i<total; i++)
      input.push(i);
    return input;
  };
});

angular.module('resultstoreFilters').filter('iscurrent', function() {
  return function(input, current) {
      if (input == current) {
          return "current";
      }
  };
});

angular.module('resultstoreFilters').filter('makestatusicon', function() {
    return function(input) {
        //compare_input = input.toLowerCase();
        switch(input) {
            case "PASS":
                return "foundicon-checkmark green";
                //return "<i class=\"foundicon-checkmark green\" title=\"pass\"></i>";
            case "WARN":
                return "foundicon-star yellow";
                //return "<i class=\"foundicon-star yellow\" title=\"warn\"></i>";
            case "FAIL":
                return "foundicon-error red";
                //return "<i class=\"foundicon-error red\" title=\"fail\"></i>";
            default:
                return input;
        }
  };
});

